Bug 250695

Summary: net/rclone: requires curl as dependency
Product: Ports & Packages Reporter: James <james>
Component: Individual Port(s)Assignee: William Grzybowski <wg>
Status: New ---    
Severity: Affects Many People CC: brad
Priority: --- Flags: brad: maintainer-feedback+
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
add dependency brad: maintainer-approval+

Description James 2020-10-28 14:38:45 UTC
When installing rclone via 'pkg install rclone' running rclone with the web gui argument, rclone errors out and fails to downloaded the files needed for it because curl is not installed.

Once installing curl, it downloads the files normally.

e.g.:

without curl package installed:

root@rclone:~ # rclone rcd --rc-web-gui --rc-web-gui-no-open-browser --rc-user=admin --rc-pass=pass --rc-web-gui-update -vv

2020/10/28 14:06:57 DEBUG : rclone: Version "v1.52.2" starting with parameters ["rclone" "rcd" "--rc-web-gui" "--rc-web-gui-no-open-browser" "--rc-user=admin" "--rc-pass=pass" "--rc-web-gui-update" "-vv"]

2020/10/28 14:06:57 Error while fetching the latest release of Web GUI: Error getting latest release of rclone-webui


With curl package installed:

pkg install curl-7.72.0

root@rclone:~ # rclone rcd --rc-web-gui --rc-web-gui-no-open-browser

2020/10/28 14:23:26 NOTICE: A new release for gui is present at https://github.com/rclone/rclone-webui-react/releases/download/v2.0.3/currentbuild.zip
2020/10/28 14:23:26 NOTICE: Downloading webgui binary. Please wait. [Size: 4750769, Path :  /root/.cache/rclone/webgui/v2.0.3.zip]
2020/10/28 14:23:35 NOTICE: Unzipping webgui binary
2020/10/28 14:23:36 NOTICE: Serving Web GUI
2020/10/28 14:23:36 NOTICE: Serving remote control on http://127.0.0.1:5572/
2020/10/28 14:23:36 NOTICE: Web GUI is not automatically opening browser. Navigate to http://gui:xxxx@127.0.0.1:5572/?login_token=xxx to use.

If you could add curl as a dependency for rclone that would be great and help others not get the same error :) 

Cheers,

James.
Comment 1 Brad Ackerman 2021-05-15 02:19:24 UTC
The missing dependency is actually ca_root_nss.
Comment 2 Brad Ackerman 2021-05-15 02:55:21 UTC
Created attachment 224955 [details]
add dependency

Add ca_root_nss dependency.